package com.zcloud.service.map;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;
import java.util.Map;

/**
 * 说明：实施地图八项作业
 * 作者：luoxiaobao
 * 时间：2022-09-21
 * 官网：www.zcloudchina.com
 */
public interface MapEightService {

	List<String> getCorpinfoIds(PageData pd);

	Object getEcharts(PageData pd);

	PageData statisticsHighRiskWorkByState(PageData pd)throws Exception;

	/**
	 * 作业实时情况展示
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> listHighRiskWork(Page page)throws Exception;


	/**
	 * 获取所有高危作业的位置坐标（有坐标数据）
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	List<PageData> listAllHighRiskWorkLocation(PageData pd)throws Exception;


	/**动火
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**动火
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllMeasures(PageData pd);

	/**
	 * 根据id获取数据
	 * @param pd
	 * @return
	 */
	Map<String,Object> getById (PageData pd);

	/**
	 * 获取其他公司柱状图
	 * @param pd
	 * @return
	 */
	Object getEchartsOrder(PageData pd);

	/**
	 * 其他公司获取统计数据
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	PageData statisticsHighRiskWorkByStateOrder(PageData pd)throws Exception;

	/**
	 * 其他作业实时情况展示
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> listHighRiskWorkOrder(Page page)throws Exception;


	/**
	 * 获取所有高危作业的位置坐标（有坐标数据）
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	List<PageData> listAllHighRiskWorkLocationOrder(PageData pd)throws Exception;

	/**
	 * 获取其他公司详细数据
	 * @param pd
	 * @return
	 */
	Map<String, Object> getByIdOrder(PageData pd);
}

